/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0
import Ubuntu.Layouts 1.0

import "layouts/cheetahcspage"

Page {
    id: cheetaHCSPage

    title: i18n.tr("CheetaHCS")
    height: parent.height - header.height

    AboutComponent {
        id: aboutDialog
        objectName: "about_dialog"
    }

    head.actions: [
        Action {
            id: aboutAction
            objectName: "aboutAction"

            text: i18n.tr("About")
            iconSource: "../graphics/help.svg"
            onTriggered: PopupUtils.open(aboutDialog)
        }
    ]

    // The layouts for the CheetaHCS page
    Layouts {
        id: cheetaHCSPageLayout
        objectName: "cheetaHCSPageLayout"

        width: parent.width
        height: parent.height

        layouts: []

        // The default layout
        BasicLayout {
            objectName: "basic_layout"
        }
    }
}
