/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0

Component {
    id: dialogComponent

    // The help dialog for the log in page
    Dialog {
        id: dialog
        objectName: "dialog"

        title: i18n.tr("Help")

        text: i18n.tr("Log in with your user and password.\nThe actions are")
        + i18n.tr("placed on the header.\n\n")
        + i18n.tr("If you don't have a password, press the\n \"New user\" ")
        + i18n.tr("icon.\n\nIf you don't remember your password or\n want to ")
        + i18n.tr("change it,\npress the \"New password\" icon.")

        Button {
            id: okBtn
            objectName: "okBtn"

            text: i18n.tr("OK")
            onClicked: PopupUtils.close(dialog)
        }
    }
}
