/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0
import Ubuntu.Layouts 1.0

import "layouts/newuserpage"

Page {
    id: newUserPage
    title: i18n.tr("New User")
    height: parent.height - header.height

    // The help component
    NewUserPageHelpComponent {
        id: newUserPageHelp
        objectName: "newUserPageHelp_component"
    }

    // The head actions
    head.actions: [
        // Go back to the log in page
        Action {
            id: backAction
            objectName: "backAction"

            text: i18n.tr("Back")
            iconSource: "../graphics/back.svg"
            onTriggered: {
                functionalityStack.pop()
                functionalityStack.push(logInPage)
            }
        },
        // Show the help for the page
        Action {
            id: helpAction
            objectName: "helpAction"

            text: i18n.tr("Help")
            iconSource: "../graphics/help.svg"
            onTriggered: PopupUtils.open(newUserPageHelp)
        }

    ]

    // The layouts
    Layouts {
        id: newUserPageLayout
        objectName: "newUserPageLayout"

        width: parent.width
        height: parent.height

        layouts: []

        // The default layout
        BasicLayout {
            objectName: "basic_layout"
        }
    }
}
