/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0
import Ubuntu.Layouts 1.0

import "layouts/welcomepage"

Page {
    id: welcomeSelectionPage

    title: i18n.tr("Welcome")
    height: parent.height - header.height

    // The configuration dialog
    ConfigDialogComponent {
        id: configDialog
        objectName: "config_dialog"
    }

    // The head actions
    head.actions: [
        // Open the configure dialog
        Action {
            id: configureAction
            objectName: "configureAction"

            text: i18n.tr("Configure")
            iconSource: "../graphics/settings.svg"

            onTriggered: PopupUtils.open(configDialog)
        }
    ]

    // The layouts
    Layouts {
        id: welcomePageLayout
        objectName: "welcomePageLayout"

        width: parent.width
        height: parent.height

        layouts: []

        // The default layout
        BasicLayout {
            objectName: "basic_layout"
        }
    }
}
