/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1

Item {
    width: parent.width
    height: parent.height

    // A flickable that will roll in every direction for the presentation
    Flickable {
        id: mainFlickable
        objectName: "mainFlickable"

        clip: true
        flickableDirection: Flickable.HorizontalAndVerticalFlick
        height: parent.height
        width: parent.width
        contentHeight: presentationShape.height + root.margins * 2
        contentWidth: presentationShape.width + root.margins * 2

        // UbuntuShapes of different sizes will make the presentation
        UbuntuShape {
            id: presentationShape
            objectName: "presentationShape"

            // Text saying what CheetaHCS is

            x: root.margins
            y: root.margins
            width: presentationLbl.width + root.spacing * 2

            Label {
                id: presentationLbl
                objectName: "presentationLbl"

                x: root.spacing
                y: root.spacing
                text: i18n.tr("Multipurpose health care\nsystem for ")
                + i18n.tr("patients and\nprofessionals alike.")
            }
        }
    }
}
