/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem

Item {
    width: parent.width
    height: parent.height

    // The shape for the hospital web presentation
    UbuntuShape {
        id: firstShape
        objectName: "firstShape"

        x: root.margins
        y: root.margins
        width: parent.width - root.margins * 2
        height: (parent.height - root.margins * 2) / 2

        // The always visible header showing what this is
        ListItem.Header {
            id: firstShapeHeader
            objectName: "firstShapeHeader"

            text: i18n.tr("Hospital home page")
        }
    }

    // The shape for the primary center web presentation
    UbuntuShape {
        id: secondShape
        objectName: "secondShape"

        x: root.margins
        y: firstShape.y + firstShape.height + root.spacing
        width: parent.width - root.margins * 2
        height: (parent.height - root.margins * 2) / 2

        // The always visible header showing what this is
        ListItem.Header {
            id: secondShapeHeader
            objectName: "secondShapeHeader"

            text: i18n.tr("Primary center home page")
        }
    }
}
