/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1

import "../components"

Tab {
    id: logInTab
    objectName: "logInTab"

    title: i18n.tr("Log In")

    // This tab will have many pages, so we need a PageStack
    page: PageStack {
        id: functionalityStack
        objectName: "functionalityStack"

        // And we make the log in page appear
        Component.onCompleted: push(logInPage)

        // The log in page
        LogInPage {
            id: logInPage
            objectName: "logIn_page"

            visible: false
        }

        // The page for a new user
        NewUserPage {
            id: newUserPage
            objectName: "newUser_page"

            visible: false
        }

        // The page to change password or ask for a forgotten one
        PassesPage {
            id: passesPage
            objectName: "passes_page"

            visible: false
        }
    }
}
