/*
 * Copyright (C) 2014 Víctor Matía Rodríguez.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQuick.Layouts 1.1

import Ubuntu.Components 1.1

import "../components"

Tab {
    id: welcomeTab
    objectName: "welcomeTab"

    title: i18n.tr("Welcome")

    // This tab will have several pages, so we need a PageStack
    page: PageStack {
        id: placeStack
        objectName: "placeStack"

        // And we make the main one appear
        Component.onCompleted: push(welcomeSelectionPage)

        // The main welcome tab, where to select what web page to see
        WelcomeSelectionPage {
            id: welcomeSelectionPage
            objectName: "welcomeSelection_page"

            visible: false
        }
    }
}
